Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 78529 - RFE: please release or add documentation to desktop-file-utils
Summary: RFE: please release or add documentation to desktop-file-utils
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: desktop-file-utils
Version: 8.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Havoc Pennington
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-25 07:30 UTC by R P Herrold
Modified: 2008-05-01 15:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-12-13 21:10:12 UTC


Attachments (Terms of Use)

Description R P Herrold 2002-11-25 07:30:00 UTC
Reviewing the .spec file for redhat-config-kickstart, we find:

desktop-file-install --vendor redhat --delete-original      \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
  --add-category Application \
  --add-category System \
  --add-category X-Red-Hat-Base          \
  $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

which is acting to generate desktop appearance links.  

That it is written thus, also implies that a guide to writing such spec file
entries exists, to permit knowing the options and form of option available.

Would it be possible to get a man page, or failing that, a copy of the user
guide for this tool, added to this package?

Comment 1 Havoc Pennington 2002-12-13 21:10:12 UTC
There's no way writing this man page will make it to the top of 
my bug list queue. :-/ I can add it to the upstream tarball if 
someone makes a patch.


Note You need to log in before you can comment on or make changes to this bug.